      subroutine ljguts
        use commons
      implicit double precision(a-h,o-z)
!      include 'common_files.inc'
!c
!c find the lj neighbor list
!c
      if(lchk.eq.1) then
      kli=0
      do i=1,np-1
          do 311 j=i+1,np
               ki = ktype(i)
               kj = ktype(j)
               if(rslj(ki,kj).eq.0.0d0) go to 311
               rsqs=0.0d0
!c
               do l=1,3
                    rr=r0(i,l)-r0(j,l)
                    rr = rr - cube(l)*anint(rr/cube(l))
                    rsqs=rsqs+rr*rr
                    if(rsqs.gt.rslj(ki,kj)) go to 311
               enddo
               if(rsqs.lt.xmms(ki,kj)) go to 311
               kli=kli+1
               iv(kli)=i
               jv(kli)=j
 311       continue
      enddo

      kliend=kli
      if(kliend.gt.nmabig) then
               write(*,*) 'lj neighbor array= ',kliend
               write(*,*) 'increase nmabig and recompile'
               stop 
      endif
      endif
!c
300   format(2i10,3f15.5)
      pvdw=0.d0
      do 323 llj=1,kliend
           i=iv(llj)
           j=jv(llj)
           ki=ktype(i)
           kj=ktype(j)
!c
           rsqs=0.0d0

           do l=1,3
               rrs(l)=r0(i,l)-r0(j,l)
               rrs(l) = rrs(l) - cube(l)*anint(rrs(l)/cube(l))
               rsqs=rsqs+rrs(l)*rrs(l)
               if(rsqs.gt.rmaxlj(ki,kj)) go to 323
           enddo
!c
           if(rsqs.lt.xmm(ki,kj)) go to 323
!c table look up with linear interpolation
                 r = sqrt(rsqs) - xm(ki,kj)
                 rt = r/dellj
                 ii = int(rt)+1
                 vdw  = vlook(ii,ki,kj) + &
                      (vlook(ii+1,ki,kj)-vlook(ii,ki,kj))*(rt-ii+1)
                 dvdw = dlook(ii,ki,kj) + &
                      (dlook(ii+1,ki,kj)-dlook(ii,ki,kj))*(rt-ii+1)


!c$            endif
!c
            pvdw=pvdw+vdw
!c
            do l=1,3
                 dr = dvdw*rrs(l)
                 rnp(i,l)=rnp(i,l) + dr
                 rnp(j,l)=rnp(j,l) - dr
            enddo
 323  continue

      tote = tote + pvdw
      return
      end

