subroutine bresetin
  use bre_commons

  implicit double precision(a-h,o-z)
!c
!  include 'common_files.inc'

!c
      do i=1,ntypes
          xmass(i) = 0.0d0
          noa(i) = 0
          do j=1,ntypes
               sig(i,j) = 0.0d0
               eps(i,j) = 0.0d0
          enddo
      enddo
      xmass(1) = 12.0d0 ! Carbon
      xmass(2) = 1.0d0  ! Hydrogen
      xmass(3) = 28.0d0 ! Silicon
      xmass(4) = 72.0d0 ! Germanium
      pi=acos(-1.d0)
      bolz=1.380662d0
      epsi=11604.5d0
      avo=6.02205
      econv=(1.0d0/(avo*bolz*epsi))*1.0d+07
      return 
    end subroutine bresetin

      subroutine bresetpp
        use bre_commons

      implicit double precision(a-h,o-z)
!c
!      include 'common_files.inc'

      ipot = 1 ! Brenner potential initialization
      if(ipot.eq.1) then
           call breparam
           call mtable
      endif
      if(ilj.ne.0) call ljparam
      call ljcset
      return
    end subroutine bresetpp

      subroutine setmd 
        use bre_commons
      implicit double precision(a-h,o-z)
!c
!      include 'common_files.inc'

            if(nma.ne.0) then
                  enpr=epsi/float(nma)
            else
                 enpr=0.0d0
            endif
!c
            xkea = 0.0d0
            time = 0.0d0
            lchk = 1
            write(9,1400)
            return 
 1400 format(8x,'energy(ev)',5x,'t',6x,'tstep(fs)  time(fs)',/)
          end subroutine setmd
