!
! Prepare cell of single crystal
! iix x iiy x iiz unit cells
! r{x,y,z}0 and hmat
!
      subroutine initconfsc(iix,iiy,iiz)
      use variables
      use constants
      implicit double precision (a-h,o-z)
      integer, intent(in) :: iix,iiy,iiz

      n=4*iix*iiy*iiz

      allocate (rx(n),ry(n),rz(n))

      rx(1)=0.0d0
      ry(1)=0.0d0
      rz(1)=0.0d0
      rx(2)=0.0d0
      ry(2)=a/2.0d0
      rz(2)=a/2.0d0
      rx(3)=a/2.0d0
      ry(3)=0.0d0
      rz(3)=a/2.0d0
      rx(4)=a/2.0d0
      ry(4)=a/2.0d0
      rz(4)=0.0d0
      iii=4
      jjj=iii
      if (iix.ge.2) then
         do k=2,iix
            do j=1,jjj
               iii=iii+1
               rx(iii)=rx(iii-jjj)+a
               ry(iii)=ry(iii-jjj)
               rz(iii)=rz(iii-jjj)
            enddo
         enddo
         jjj=iii
      endif
      if (iiy.ge.2) then
         do k=2,iiy
            do j=1,jjj
               iii=iii+1
               rx(iii)=rx(iii-jjj)
               ry(iii)=ry(iii-jjj)+a
               rz(iii)=rz(iii-jjj)
            enddo
         enddo
         jjj=iii
      endif
      if (iiz.ge.2) then
         do k=2,iiz
            do j=1,jjj
               iii=iii+1
               rx(iii)=rx(iii-jjj)
               ry(iii)=ry(iii-jjj)
               rz(iii)=rz(iii-jjj)+a
            enddo
         enddo
      endif

!      rx(1)=rx(1)+a/10.0d0
!      ry(1)=ry(1)+a/10.0d0
!      rz(1)=rz(1)+a/10.0d0

!      rx=rx+a/5.0d0
!      ry=ry+a/5.0d0
!      rz=rz+a/5.0d0

      hmat=0.0d0
      hmat(1,1)=a*dble(iix)
      hmat(2,2)=a*dble(iiy)
      hmat(3,3)=a*dble(iiz)

      end
