      character :: dmy
      real, allocatable :: rx(:),ry(:),rz(:)
      real, allocatable :: qx(:),qy(:),qz(:)
      real :: hmat(3,3),hinmat(3,3)

      read (5,*) dmy
      read (5,*) aa
      read (5,*) hmat(1,1),hmat(2,1),hmat(3,1)
      read (5,*) hmat(1,2),hmat(2,2),hmat(3,2)
      read (5,*) hmat(1,3),hmat(2,3),hmat(3,3)
      hmat=hmat*aa
      read (5,*) n
      call inverse(hmat,hinmat)
      allocate (rx(n),ry(n),rz(n),qx(n),qy(n),qz(n))
      read (5,*) dmy
      do i=1,n
         read (5,*) qx(i),qy(i),qz(i)
         rx(i)=hmat(1,1)*qx(i)+hmat(1,2)*qy(i)+hmat(1,3)*qz(i)
         ry(i)=hmat(2,1)*qx(i)+hmat(2,2)*qy(i)+hmat(2,3)*qz(i)
         rz(i)=hmat(3,1)*qx(i)+hmat(3,2)*qy(i)+hmat(3,3)*qz(i)
      enddo
      
      write (6,*) asp
      write (6,*) potential_func
      write (6,*) n
      do j=1,3
         xx=hmat(1,j); yy=hmat(2,j); zz=hmat(3,j)
         write (6,*) xx,yy,zz
      enddo
      do i=1,n
         xx=rx(i); yy=ry(i); zz=rz(i)
         write (6,*) xx,yy,zz
      enddo

      end

      subroutine inverse(a,b)
      implicit double precision (a-h,o-z)
      double precision a(3,3),b(3,3)
      do i=1,3
         do j=1,3
            b(i,j)=a(i,j)
         enddo
      enddo
      do 100 k=1,3
         p=b(k,k)
         b(k,k)=1.0d0
         do 1 j=1,3
            b(k,j)=b(k,j)/p
 1       continue
         do 2 i=1,3
            if (i.ne.k) then
               q=b(i,k)
               b(i,k)=0.0d0
               do 3 j=1,3
                  b(i,j)=b(i,j)-q*b(k,j)
 3             continue
            endif
 2       continue
 100  continue
      return
      end
