      subroutine mkhvmat(hvmat,dt,dmat,hinmat,pex,omega,imode)
      implicit double precision (a-h,o-z)
      double precision hvmat(3,3,5),dmat(3,3,5),hinmat(3,3,5)
      double precision omega(5)
      if (imode.eq.0) then
         do i=1,3
            do j=1,3
               hvmat(i,j,4)=hvmat(i,j,3)+dt/12.0d0*
     &              (23.0d0*(dmat(i,1,3)*hinmat(j,1,3)
     &              +dmat(i,2,3)*hinmat(j,2,3)
     &              +dmat(i,3,3)*hinmat(j,3,3)
     &              -pex*omega(3)*hinmat(j,i,3))
     &              -16.0d0*(dmat(i,1,2)*hinmat(j,1,2)
     &              +dmat(i,2,2)*hinmat(j,2,2)
     &              +dmat(i,3,2)*hinmat(j,3,2)
     &              -pex*omega(2)*hinmat(j,i,2))
     &              +5.0d0*(dmat(i,1,1)*hinmat(j,1,1)
     &              +dmat(i,2,1)*hinmat(j,2,1)
     &              +dmat(i,3,1)*hinmat(j,3,1)
     &              -pex*omega(1)*hinmat(j,i,1)))
            enddo
         enddo
      else
         do i=1,3
            do j=1,3
               hvmat(i,j,5)=hvmat(i,j,3)+dt/12.0d0*
     &              (5.0d0*(dmat(i,1,4)*hinmat(j,1,4)
     &              +dmat(i,2,4)*hinmat(j,2,4)
     &              +dmat(i,3,4)*hinmat(j,3,4)
     &              -pex*omega(4)*hinmat(j,i,4))
     &              +8.0d0*(dmat(i,1,3)*hinmat(j,1,3)
     &              +dmat(i,2,3)*hinmat(j,2,3)
     &              +dmat(i,3,3)*hinmat(j,3,3)
     &              -pex*omega(3)*hinmat(j,i,3))
     &              -(dmat(i,1,2)*hinmat(j,1,2)
     &              +dmat(i,2,2)*hinmat(j,2,2)
     &              +dmat(i,3,2)*hinmat(j,3,2)
     &              -pex*omega(2)*hinmat(j,i,2)))
            enddo
         enddo
      endif
      end
        
