!
! alphaͤβϡʥǡ˥ץ
! decompose000.d - decomposeXXX.d (XXX <= mxfileǻ)ˤĤơ
! ƥ⡼ɤȤtrajectoryȤƽϡ(alphatrajYYY.dϡYYYϥ⡼ֹ)
!
program alpha_anal
  double precision :: alpha(1000,250)
  double precision :: xav(1000),xmx(1000),xmn(1000)
  character (3) :: stri

  mxfile=250
  do ifile=1,mxfile
     call conv_num_char2(ifile,stri)
     print *,'Analyzing file = ',stri

     open (11,FILE='decompose'//stri//'.d')
!     open (11,file=nfile)
10   read (11,*,end=20) imode,alpha(imode,ifile)
     go to 10
20   close (11)
     
     do i=1,imode
        xav(i)=0.0d0; xmx(i)=-1.0d10; xmn(i)=1.0d10
        do j=1,mxfile
           xav(i)=xav(i)+alpha(i,j)/dble(mxfile)
           if (xmx(i)<alpha(i,j)) xmx(i)=alpha(i,j)
           if (xmn(i)>alpha(i,j)) xmn(i)=alpha(i,j)
        enddo
     enddo

     open (12,FILE='result.d')
     do i=1,imode
        write (12,900) i,xav(i),xmx(i),xmn(i)
     enddo
     close (12)
   end do
900 format (i4,x,e20.10,x,e20.10,x,e20.10)

   do i=1,imode
      call conv_num_char2(i,stri)
      open (13,FILE='alphatraj'//stri//'.d')
      do ifile=1,mxfile
         write (13,*) ifile,alpha(i,ifile)
      enddo
      close (13)
   enddo

 end program alpha_anal

subroutine conv_num_char(ll,str)
  integer :: l
  character (4) :: str
  l=abs(ll)
  ibase=ichar('0')
  iii=int(l/100)
  ii=int((l-iii*100)/10)
  i=int((l-iii*100-ii*10)/1)
  if (ll<0) then
     str='n'//char(ibase+iii)//char(ibase+ii)//char(ibase+i)
  else
     str='p'//char(ibase+iii)//char(ibase+ii)//char(ibase+i)
  endif
end subroutine conv_num_char

subroutine conv_num_char2(ll,str)
  integer :: l
  character (3) :: str
  l=abs(ll)
  ibase=ichar('0')
  iii=int(l/100)
  ii=int((l-iii*100)/10)
  i=int((l-iii*100-ii*10)/1)
  if (ll<0) stop 'conv_num_char2 error'
  str=char(ibase+iii)//char(ibase+ii)//char(ibase+i)
end subroutine conv_num_char2
